org.bdgenomics.adam.projections

# AlignmentRecordField

#### object AlignmentRecordField extends FieldEnumeration

This enumeration exist in order to reduce typo errors in the code. It needs to be kept in sync with any changes to Read.

This enumeration is necessary because Parquet needs the field string names for predicates and projections.

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AlignmentRecordField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( -3501153230598116017L )

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( 7091335633555234129L )

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

7. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

10. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

11. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### val attributes: SchemaVal

14. #### val cigar: SchemaVal

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### val contig: SchemaVal

17. #### val duplicateRead: SchemaVal

18. #### val end: SchemaVal

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### val failedVendorQualityChecks: SchemaVal

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### val firstOfPair: SchemaVal

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### val mapq: SchemaVal

28. #### val mateAlignmentStart: SchemaVal

29. #### val mateContig: SchemaVal

30. #### val mateMapped: SchemaVal

31. #### val mateNegativeStrand: SchemaVal

32. #### final def maxId: Int

    Definition Classes
      Enumeration

33. #### val mismatchingPositions: SchemaVal

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

36. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

37. #### final def notify(): Unit

    Definition Classes
      AnyRef

38. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

39. #### val origQual: SchemaVal

40. #### val primaryAlignment: SchemaVal

41. #### val properPair: SchemaVal

42. #### val qual: SchemaVal

43. #### val readMapped: SchemaVal

44. #### val readName: SchemaVal

45. #### val readNegativeStrand: SchemaVal

46. #### val readPaired: SchemaVal

47. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

48. #### val recordGroupDescription: SchemaVal

49. #### val recordGroupFlowOrder: SchemaVal

50. #### val recordGroupId: SchemaVal

51. #### val recordGroupKeySequence: SchemaVal

52. #### val recordGroupLibrary: SchemaVal

53. #### val recordGroupName: SchemaVal

54. #### val recordGroupPlatform: SchemaVal

55. #### val recordGroupPlatformUnit: SchemaVal

56. #### val recordGroupPredictedMedianInsertSize: SchemaVal

57. #### val recordGroupRunDateEpoch: SchemaVal

58. #### val recordGroupSample: SchemaVal

59. #### val recordGroupSequencingCenter: SchemaVal

60. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

61. #### val secondOfPair: SchemaVal

62. #### val sequence: SchemaVal

63. #### val start: SchemaVal

64. #### val supplmentaryAlignment: SchemaVal

65. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

66. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

67. #### def values: ValueSet

    Definition Classes
      Enumeration

68. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

70. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

71. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped